<?php

namespace App\Http\Requests;

use App\Rules\User\ServletVerificatinRule;
use Illuminate\Foundation\Http\FormRequest;

class VerifyServletOTPReqeust extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
             'secret' => ['required', new ServletVerificatinRule()]
        ];
    }

    public function messages()
    {
        return [
            'secret.required' => 'OTP is Required'
        ];
    }

}
